Go to the latest version of this document.

# ``twisted`.`internet`.`posixbase``

module documentation
(source)

Posix reactor base class

Class | `PosixReactorBase` | A basis for reactors that use file descriptors.
Variable | `processEnabled` | Undocumented
Variable | `unixEnabled` | Undocumented
Class | `_ContinuousPolling` | Schedule reads and writes based on the passage of time, rather than notification.
Class | `_DisconnectSelectableMixin` | Mixin providing the `_disconnectSelectable` method.
Class | `_PollLikeMixin` | Mixin for poll-like reactors.
Constant | `_NO_FILEDESC` | Undocumented

processEnabled: `bool` = (source)

Undocumented

unixEnabled = (source)

Undocumented

_NO_FILEDESC = (source)

Undocumented

Value

    error.ConnectionFdescWentAway('File descriptor lost')